#ifndef MACHINEIOMAN_H
#define MACHINEIOMAN_H

#include "ioman.h"

class MachineIoMan : public IoMan {
public:
	using IoMan::IoMan;

	bool parseJson(Json::Value *root, string jsonstring);
	bool handleJson(Json::Value root);
	void printMessage(std::string msg, OutMsgType type);
	void printWelcomeMessage();

	std::string getCmdPrompt();
	std::string getUserPrompt();
	std::string getPassPrompt();
};

#endif
