import QtQuick 2.12
import QtQuick.Controls 2.5
import QtQuick.Layouts 1.3

Page {
    width: 1280
    height: 470

    font.capitalization: Font.MixedCase

    ColumnLayout {
        anchors.fill: parent

        RowLayout {
            Layout.preferredWidth: parent.width
            Layout.preferredHeight: 70

            TextField {
                id: receivingFileNameField
                selectByMouse: true
                Layout.preferredWidth: 1060
                Layout.preferredHeight: parent.height
                placeholderText: "Enter File Name to download..."
                text: qsTr("")
                font.pixelSize: 20
            }

            Button {
                id: receivingGetFileButton
                Layout.preferredWidth: 180
                Layout.preferredHeight: parent.height
                text: qsTr("Download")

                enabled: receivingFileNameField.text != ""

                // @disable-check M223
                onClicked: {
                    // @disable-check M223
                    if (receivingFileNameField.text != "") {
                        // @disable-check M222
                        _qmlHandler.onReceivingGetFileButton(
                                    receivingFileNameField.text)
                        receivingFileNameField.text = ""
                    }
                }
            }
        }
    }
}
